@echo off
rem *************************************************************** {COPYRIGHT-TOP}
rem * Licensed Materials - Property of IBM
rem * Restricted Materials of IBM
rem * IBM Tivoli Usage and Accounting Manager
rem * 5724-O33, 5765-UAV, 5765-UA7, 44E7863
rem * (c) Copyright IBM Corp. 2004, 2009 All Rights Reserved.
rem *
rem * US Government Users Restricted Rights - Use, duplication or
rem * disclosure restricted by GSA ADP Schedule Contract with
rem * IBM Corp.
rem **************************************************************** {COPYRIGHT-END}

setlocal

rem Check to see if TUAM_HOME is set before using.
if "%TUAM_HOME%" ==""  goto ERROR

rem Check TUAM Fixpack level
set TUAM_LIB=%TUAM_HOME%\lib
set JAVA_HOME=%TUAM_HOME%\ewas\java
set JAVA_CMD=%JAVA_HOME%\jre\bin\java

set PATCH_CLASSPATH=.;
set PATCH_CLASSPATH=%PATCH_CLASSPATH%;%TUAM_LIB%\aucCommon.jar
set PATCH_CLASSPATH=%PATCH_CLASSPATH%;.\version.jar


rem ***** External Libraries **********
set PATCH_CLASSPATH=%PATCH_CLASSPATH%;%TUAM_LIB%\auii18n.jar
set PATCH_CLASSPATH=%PATCH_CLASSPATH%;%TUAM_LIB%\auibase.jar
set PATCH_CLASSPATH=%PATCH_CLASSPATH%;%TUAM_LIB%\icl.jar


"%JAVA_HOME%\jre\bin\java" -cp "%PATCH_CLASSPATH%" com.ibm.tivoli.tuam.PatchTUAM 7 1 1 0
if NOT ERRORLEVEL 0  goto ERROR_INVALID


echo Applying fixes...

COPY "%TUAM_HOME%\lib\aucDataAccess.jar" "%TUAM_HOME%\lib\aucDataAccess.jar.patch16"
COPY aucDataAccess.jar "%TUAM_HOME%\lib"

COPY "%TUAM_HOME%\bin\IBM.TUAM.CommonLibrary.dll" "%TUAM_HOME%\bin\IBM.TUAM.CommonLibrary.dll.patch16"
COPY IBM.TUAM.CommonLibrary.dll "%TUAM_HOME%\bin"

COPY "%TUAM_HOME%\server\financial_modeler\bin\IBM.TUAM.CommonLibrary.dll" "%TUAM_HOME%\server\financial_modeler\bin\IBM.TUAM.CommonLibrary.dll.patch16"
COPY IBM.TUAM.CommonLibrary.dll "%TUAM_HOME%\server\financial_modeler\bin"

COPY "%TUAM_HOME%\server\web2\bin\IBM.TUAM.CommonLibrary.dll" "%TUAM_HOME%\server\web2\bin\IBM.TUAM.CommonLibrary.dll.patch16"
COPY IBM.TUAM.CommonLibrary.dll "%TUAM_HOME%\server\web2\bin\"


COPY "%TUAM_HOME%\bin\IBM.TUAM.Messages.dll" "%TUAM_HOME%\bin\IBM.TUAM.Messages.dll.patch16"
COPY IBM.TUAM.Messages.dll "%TUAM_HOME%\bin"

COPY "%TUAM_HOME%\server\financial_modeler\bin\IBM.TUAM.Messages.dll" "%TUAM_HOME%\server\financial_modeler\bin\IBM.TUAM.Messages.dll.patch16"
COPY IBM.TUAM.Messages.dll "%TUAM_HOME%\server\financial_modeler\bin"

COPY "%TUAM_HOME%\server\web2\bin\IBM.TUAM.Messages.dll" "%TUAM_HOME%\server\web2\bin\IBM.TUAM.Messages.dll.patch16"
COPY IBM.TUAM.Messages.dll "%TUAM_HOME%\server\web2\bin\"


COPY "%TUAM_HOME%\bin\BatchReporting.exe" "%TUAM_HOME%\bin\BatchReporting.exe.patch16"
COPY BatchReporting.exe "%TUAM_HOME%\bin"

echo Applying WAR fix...
echo .

rem Deploy eWAS EAR. eWAS needs to be running for the deploy process.
COPY "%TUAM_HOME%\setup\console\aucConsole.war" "%TUAM_HOME%\setup\console\aucConsole.war.patch16"
COPY /Y aucConsole-ee.war "%TUAM_HOME%\setup\console\aucConsole.war"
cd "%TUAM_HOME%\setup\console"

IF "%1"=="" GOTO deployNoAuthentication
IF "%2"=="" GOTO deployNoAuthentication

call deployTuam.bat replace %1 %2
if %ERRORLEVEL% 1 goto PATCHING_ERROR
goto RESTART_EWAS

:deployNoAuthentication
call deployTuam.bat replace
if ERRORLEVEL 1 goto PATCHING_ERROR



:RESTART_EWAS
rem Restart eWas for good measure after deploy of WAR

rem Stop eWAS
echo Stopping eWAS..... this could take a few minutes.
echo .

IF "%1"=="" GOTO NoAuthentication
IF "%2"=="" GOTO NoAuthentication

echo Stopping eWAS with authentication parameters
call "%TUAM_HOME%/ewas/bin/stopServer.bat" server1 -username %1 -password %2
GOTO AfterStop

:NoAuthentication
echo Stopping eWAS without authentication parameters
call "%TUAM_HOME%/ewas/bin/stopServer.bat" server1



:AfterStop

REM Could do a log cleanup here
REM SLEEP 3
REM del /F /Q /S "%TUAM_HOME%"\logs\server\*
REM del /F /Q /S "%TUAM_HOME%"\ewas\profiles\AppSrv01\logs\*


echo .
echo Starting eWAS....
echo .
call "%TUAM_HOME%/ewas/bin/startServer.bat" server1


echo .
echo Fixes have been applied successfully.
goto DONE

:ERROR
echo Your environment variable TUAM_HOME is not set.   Set the TUAM_HOME' variable to the install location of TUAM 7.1 and then rerun fix.
goto DONE

:ERROR_INVALID
echo This fix in not applicable for your environment
goto DONE

:PATCHING_ERROR
echo Error deploying the patch, please send this full output to IBM.
goto DONE

:DONE
endlocal

