#!/bin/sh

# ------------------------------------------------------------------------ {COPYRIGHT-TOP}
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# IBM Tivoli Usage and Accounting Manager
# 5724-O33, 5765-UAV, 5765-UA7, 44E7863
# (c) Copyright IBM Corp. 2004, 2009 All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# ------------------------------------------------------------------------ {COPYRIGHT-END}

if [ "$TUAM_HOME" != "" ]
then

. $TUAM_HOME/bin/setupEnv.sh

PATCH_CLASSPATH=.:$CLASSPATH
PATCH_CLASSPATH=$PATCH_CLASSPATH:$TUAM_LIB/aucCommon.jar
PATCH_CLASSPATH=$PATCH_CLASSPATH:./version.jar


# ***** External Libraries **********
PATCH_CLASSPATH=$PATCH_CLASSPATH:$TUAM_LIB/auii18n.jar
PATCH_CLASSPATH=$PATCH_CLASSPATH:$TUAM_LIB/auibase.jar
PATCH_CLASSPATH=$PATCH_CLASSPATH:$TUAM_LIB/icl.jar


# if the user is the TUAM user, run the command, otherwise use su to run the command
if [ "$CURRENT_USER" = "$INSTALL_USER" ]
then
	$JAVA_HOME/jre/bin/java -cp $PATCH_CLASSPATH com.ibm.tivoli.tuam.PatchTUAM 7 1 1 0
	RETCODE=$?

    if [ $RETCODE -eq 0 ]; then
        echo ...
	else
		echo This fix is not applicable for your environment
		exit
    fi
else

	su $INSTALL_USER -c "$JAVA_HOME/jre/bin/java -cp $PATCH_CLASSPATH com.ibm.tivoli.tuam.PatchTUAM 7 1 1 0"
  	RETCODE=$?
    if [ $RETCODE -eq 0 ]; then
        echo ...
	else
		echo This fix is not applicable for your environment
		exit
    fi
fi


   echo Applying fix...

   cp "$TUAM_HOME/lib/aucDataAccess.jar" "$TUAM_HOME/lib/aucDataAccess.jar.patch16"
   cp ./aucDataAccess.jar "$TUAM_HOME/lib"


#Deploy eWAS EAR. eWAS needs to be running for the deploy process.

   cp "$TUAM_HOME/setup/console/aucConsole.war" "$TUAM_HOME/setup/console/aucConsole.war.patch16"
   cp ./aucConsole-ee.war "$TUAM_HOME/setup/console/aucConsole.war"
   cd "$TUAM_HOME/setup/console"


   echo Deploy war and Restart eWAS...

   if  [ "$1" != "" -a "$2" != "" ];
   then
      echo Deploying WAR to eWAS with authentication
      "./deployTuam.sh" replace "$1" "$2"
      RETCODE=$?
    	if [ $RETCODE -ne 0 ]; then
         echo There was a problem deploying the WAR
		 exit
    	fi

      "$TUAM_HOME/ewas/bin/stopServer.sh" server1 -username "$1" -password "$2"
   else
      echo Deploying WAR to eWAS without authentication
      "./deployTuam.sh" replace
      RETCODE=$?
    	if [ $RETCODE -ne 0 ]; then
         echo There was a problem deploying the WAR
		 exit
    	fi

      "$TUAM_HOME/ewas/bin/stopServer.sh" server1
   fi

   echo Restarting eWAS...
   "$TUAM_HOME/ewas/bin/startServer.sh" server1


else
   echo Your environment variable TUAM_HOME is not set. Set the TUAM_HOME variable to the install location of TUAM 7.1 and then rerun fix.
fi

