@echo off
rem *************************************************************** {COPYRIGHT-TOP}
rem * Licensed Materials - Property of IBM
rem * Restricted Materials of IBM
rem * IBM Tivoli Usage and Accounting Manager
rem * 5724-O33, 5765-UAV, 5765-UA7, 44E7863
rem * (c) Copyright IBM Corp. 2004, 2009 All Rights Reserved.
rem *
rem * US Government Users Restricted Rights - Use, duplication or
rem * disclosure restricted by GSA ADP Schedule Contract with
rem * IBM Corp.
rem **************************************************************** {COPYRIGHT-END}

setlocal

rem Check to see if TUAM_HOME is set before using.
if "%TUAM_HOME%" ==""  goto ERROR


echo Undoing fix...
echo .

COPY "%TUAM_HOME%\lib\aucDataAccess.jar.patch16" "%TUAM_HOME%\lib\aucDataAccess.jar"

COPY "%TUAM_HOME%\bin\IBM.TUAM.CommonLibrary.dll.patch16" "%TUAM_HOME%\bin\IBM.TUAM.CommonLibrary.dll"
COPY "%TUAM_HOME%\server\web2\bin\IBM.TUAM.CommonLibrary.dll.patch16" "%TUAM_HOME%\server\web2\bin\IBM.TUAM.CommonLibrary.dll"
COPY "%TUAM_HOME%\server\financial_modeler\bin\IBM.TUAM.CommonLibrary.dll.patch16" "%TUAM_HOME%\server\financial_modeler\bin\IBM.TUAM.CommonLibrary.dll"

COPY "%TUAM_HOME%\bin\IBM.TUAM.Messages.dll.patch16" "%TUAM_HOME%\bin\IBM.TUAM.Messages.dll"
COPY "%TUAM_HOME%\server\web2\bin\IBM.TUAM.Messages.dll.patch16" "%TUAM_HOME%\server\web2\bin\IBM.TUAM.Messages.dll"
COPY "%TUAM_HOME%\server\financial_modeler\bin\IBM.TUAM.Messages.dll.patch16" "%TUAM_HOME%\server\financial_modeler\bin\IBM.TUAM.Messages.dll"

COPY "%TUAM_HOME%\bin\BatchReporting.exe.patch16" "%TUAM_HOME%\bin\BatchReporting.exe"

rem Deploy eWAS EAR. eWAS needs to be running for the deploy process.
COPY /Y "%TUAM_HOME%\setup\console\aucConsole.war.patch16" "%TUAM_HOME%\setup\console\aucConsole.war"

cd "%TUAM_HOME%\setup\console"

IF "%1"=="" GOTO deployNoAuthentication
IF "%2"=="" GOTO deployNoAuthentication

call deployTuam.bat replace %1 %2
if ERRORLEVEL 1 goto PATCHING_ERROR
goto RESTART_EWAS

:deployNoAuthentication
call deployTuam.bat replace
if ERRORLEVEL 1 goto PATCHING_ERROR

:RESTART_EWAS
rem Restart eWas for good measure after deploy of WAR

rem Stop eWAS
echo Stopping eWAS..... this could take a few minutes.
echo .

IF "%1"=="" GOTO NoAuthentication
IF "%2"=="" GOTO NoAuthentication

echo Stopping eWAS with authentication parameters
call "%TUAM_HOME%/ewas/bin/stopServer.bat" server1 -username %1 -password %2
GOTO AfterStop

:NoAuthentication
echo Stopping eWAS without authentication parameters
call "%TUAM_HOME%/ewas/bin/stopServer.bat" server1

:AfterStop

rem Starting eWas
echo .
echo Starting eWAS....
echo .
call "%TUAM_HOME%/ewas/bin/startServer.bat" server1
echo .
echo Fix has been undone successfully.


goto DONE

:ERROR
echo Your environment variable TUAM_HOME is not set.   Set the TUAM_HOME' variable to the install location of TUAM 7.1 and then rerun fix.


:PATCHING_ERROR
echo Error deploying the patch, please send this full output to IBM.
goto DONE

:DONE
endlocal
