#!/bin/sh

# ------------------------------------------------------------------------ {COPYRIGHT-TOP}
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# IBM Tivoli Usage and Accounting Manager
# 5724-O33, 5765-UAV, 5765-UA7, 44E7863
# (c) Copyright IBM Corp. 2004, 2009 All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# ------------------------------------------------------------------------ {COPYRIGHT-END}


if [ "$TUAM_HOME" != "" ]
then

   echo Undoing fix...

   cp "$TUAM_HOME/lib/aucDataAccess.jar.patch16" "$TUAM_HOME/lib/aucDataAccess.jar"
   cp "$TUAM_HOME/setup/console/aucConsole.war.patch16" "$TUAM_HOME/setup/console/aucConsole.war"

   cd "$TUAM_HOME/setup/console"

   echo Deploy war and Restart eWAS...

   if  [ "$1" != "" -a "$2" != "" ];
   then
      echo Deploying WAR to eWAS with authentication
      "./deployTuam.sh" replace "$1" "$2"
      RETCODE=$?
		if [ $RETCODE -ne 0 ]; then
         echo There was a problem deploying the WAR
		 exit
    	fi

      "$TUAM_HOME/ewas/bin/stopServer.sh" server1 -username "$1" -password "$2"
      echo Stopping eWAS with authentication

   else
      echo Deploying WAR to eWAS without authentication
      "./deployTuam.sh" replace
      RETCODE=$?
    	if [ $RETCODE -ne 0 ]; then
         echo There was a problem deploying the WAR
		 exit
    	fi

      echo Stopping eWAS without authentication
      "$TUAM_HOME/ewas/bin/stopServer.sh" server1
   fi

   echo Restarting eWAS...
   "$TUAM_HOME/ewas/bin/startServer.sh" server1

else
   echo Your environment variable TUAM_HOME is not set.  Set the TUAM_HOME variable to the install location of TUAM 7.1 and then rerun fix.
fi

